classification
Title: Python 3 cannot recognize url like: https://sinojellycn:123456@storage.msn.com
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.1
process
Status: closed Resolution: duplicate
Dependencies: Superseder: urllib2 cannot handle https with proxy requiring auth
View: 7291
Assigned To: Nosy List: Jelly.Chen, flox
Priority: normal Keywords:

Created on 2010-02-22 15:58 by Jelly.Chen, last changed 2010-02-22 16:13 by flox. This issue is now closed.

Messages (2)
msg99760 - (view) Author: Jelly Chen (Jelly.Chen) Date: 2010-02-22 15:58
posturl='https://sinojellycn:123456@storage.msn.com/storageservice/MetaWeblog.rpc'
username="sinojellycn"
password="123456"

blog = pyblog.WordPress(posturl, username, password)
content = {"description":'Test description6', "title":'Test article6'}
blog.new_post(content, blogid = "1") 

>>> 
Traceback (most recent call last):
  File "C:\Python31\Lib\http\client.py", line 664, in _set_hostport
    port = int(host[i+1:])
ValueError: invalid literal for int() with base 10: '123456@storage.msn.com'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 248, in run_nodebug
  File "D:\Users\Documents\My Knowledge\Plugins\{A0D025CD-970A-4C62-97E4-5CF6F2C9DD6A}\BlogPost.py", line 384, in <module>
    blog = pyblog.WordPress(posturl, username, password)
  File "D:\Users\Documents\My Knowledge\Plugins\{A0D025CD-970A-4C62-97E4-5CF6F2C9DD6A}\pyblog.py", line 266, in __init__
    MetaWeblog.__init__(self, serverapi, username, password, encoding)
  File "D:\Users\Documents\My Knowledge\Plugins\{A0D025CD-970A-4C62-97E4-5CF6F2C9DD6A}\pyblog.py", line 167, in __init__
    Blog.__init__(self, serverapi, username, password, encoding, appkey)
  File "D:\Users\Documents\My Knowledge\Plugins\{A0D025CD-970A-4C62-97E4-5CF6F2C9DD6A}\pyblog.py", line 57, in __init__
    if not checkURL(serverapi):
  File "D:\Users\Documents\My Knowledge\Plugins\{A0D025CD-970A-4C62-97E4-5CF6F2C9DD6A}\pyblog.py", line 19, in checkURL
    try: urllib.request.urlopen(url)
  File "C:\Python31\Lib\urllib\request.py", line 119, in urlopen
    return _opener.open(url, data, timeout)
  File "C:\Python31\Lib\urllib\request.py", line 347, in open
    response = self._open(req, data)
  File "C:\Python31\Lib\urllib\request.py", line 365, in _open
    '_open', req)
  File "C:\Python31\Lib\urllib\request.py", line 325, in _call_chain
    result = func(*args)
  File "C:\Python31\Lib\urllib\request.py", line 1080, in https_open
    return self.do_open(http.client.HTTPSConnection, req)
  File "C:\Python31\Lib\urllib\request.py", line 1034, in do_open
    h = http_class(host, timeout=req.timeout) # will parse host:port
  File "C:\Python31\Lib\http\client.py", line 1027, in __init__
    HTTPConnection.__init__(self, host, port, strict, timeout)
  File "C:\Python31\Lib\http\client.py", line 650, in __init__
    self._set_hostport(host, port)
  File "C:\Python31\Lib\http\client.py", line 666, in _set_hostport
    raise InvalidURL("nonnumeric port: '%s'" % host[i+1:])
http.client.InvalidURL: nonnumeric port: '123456@storage.msn.com'
>>>
msg99770 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-02-22 16:13
It is a duplicate of #7291: it should be fixed in next release 3.1.2.
History
Date User Action Args
2010-02-22 16:13:43floxsetstatus: open -> closed

nosy: + flox
messages: + msg99770

superseder: urllib2 cannot handle https with proxy requiring auth
resolution: duplicate
2010-02-22 15:58:10Jelly.Chencreate